summaryrefslogtreecommitdiffstats
path: root/development/gcc5/c89.sh
diff options
context:
space:
mode:
author Matteo Bernardini2018-07-17 08:37:11 +0200
committer Matteo Bernardini2018-07-17 08:37:11 +0200
commitf084eb9a79bab4fad85f18a63f4916ea57590f88 (patch)
tree53e35e789472b7e10b91afccc5e4b585876811ad /development/gcc5/c89.sh
parent296ae062cf9db17716afa30ab06ad00f1d768fb9 (diff)
downloadslackbuilds-f084eb9a79bab4fad85f18a63f4916ea57590f88.tar.gz
20180717.1 global branch merge.current-20180717.1
Happy 25th anniversary, Slackware! Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'development/gcc5/c89.sh')
-rw-r--r--development/gcc5/c89.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/development/gcc5/c89.sh b/development/gcc5/c89.sh
new file mode 100644
index 0000000000..424b1e1669
--- /dev/null
+++ b/development/gcc5/c89.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+fl="-std=c89"
+CC=${CC:-"gcc"}
+for opt; do
+ case "$opt" in
+ -ansi|-std=c89|-std=iso9899:1990) fl="";;
+ -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+ exit 1;;
+ esac
+done
+exec $CC $fl ${1+"$@"}